%global kodi_addon pvr.iptvsimple
%global kodi_version 21.0
%global codename Omega

Name:           kodi-addons-pvr-iptvsimple
Version:        21.8.3
Release:        %mkrel 1
Summary:        Simple IPTV PVR for Kodi
Group:          Video
License:        GPLv2+
URL:            https://github.com/kodi-pvr/pvr.iptvsimple/
Source0:        https://github.com/kodi-pvr/pvr.iptvsimple/archive/%{version}-%{codename}/kodi-pvr-iptvsimple-%{version}-Omega.tar.xz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  kodi-devel >= %{kodi_version}
BuildRequires:  pkgconfig(p8-platform)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblzma)
Requires:       kodi >= %{kodi_version}

%description
%{summary}.

%prep
%setup -qn %{kodi_addon}-%{version}-%{codename}

# Remove bundles rapidxml
rm -rf depends/common/rapidxml

%build
%cmake \
    -DCMAKE_CXX_FLAGS="%{optflags} -pthread" \
    -DCMAKE_C_FLAGS="%{optflags} -pthread"
%cmake_build

%install
rm -rf %buildroot
%cmake_install

%files
%{_libdir}/kodi/addons/%{kodi_addon}/
%{_datadir}/kodi/addons/%{kodi_addon}/

%changelog
* Fri Apr 12 2024 tex - 21.8.3-1pclos2024
- new version

* Mon Feb 06 2023 tex - 20.7.0-1pclos2023
- Update to version 20.7.0
